commit:     6d807695b84b05cdcadb6624e18e22cb740acfe1
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Mon Jul 22 22:06:33 2019 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue Oct  8 22:50:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6d807695

games-arcade/opensurge: New Package

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/opensurge/Manifest                  |  1 +
 games-arcade/opensurge/metadata.xml              | 11 ++++++
 games-arcade/opensurge/opensurge-0.5.0_p1.ebuild | 50 ++++++++++++++++++++++++
 games-arcade/opensurge/opensurge-9999.ebuild     | 35 +++++++++++++++++
 4 files changed, 97 insertions(+)

diff --git a/games-arcade/opensurge/Manifest b/games-arcade/opensurge/Manifest
new file mode 100644
index 0000000..0a58f0c
--- /dev/null
+++ b/games-arcade/opensurge/Manifest
@@ -0,0 +1 @@
+DIST opensurge-0.5.0-1.tar.gz 26292706 BLAKE2B 
6643e2c9763df671e451da75a1c2f775e2469be8c576c7457a762a125cc02f12088674148a72c5e0534111e85b8b13042c0af7fcb8a8979579d5f81ae16216aa
 SHA512 
b8227e864819fbd9beed0831cda2ca72eb8fb2a0c39852d4bfc82a834b462009e92b1aa83d50ce5955e934da2d4c8eb3ce3740cf812f4f3eebc3171c8b22a95a

diff --git a/games-arcade/opensurge/metadata.xml 
b/games-arcade/opensurge/metadata.xml
new file mode 100644
index 0000000..5d67204
--- /dev/null
+++ b/games-arcade/opensurge/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Haelwenn (lanodan) Monnier</name>
+       </maintainer>
+       <longdescription lang="en">
+       Open Surge is a fun 2D retro platformer inspired by old-school Sonic 
games. Play, hack, become a creator and unleash your creativity!
+       </longdescription>
+</pkgmetadata>

diff --git a/games-arcade/opensurge/opensurge-0.5.0_p1.ebuild 
b/games-arcade/opensurge/opensurge-0.5.0_p1.ebuild
new file mode 100644
index 0000000..10b3381
--- /dev/null
+++ b/games-arcade/opensurge/opensurge-0.5.0_p1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/alemart/opensurge";
+else
+       MY_PV="${PV//_p/-}"
+       SRC_URI="https://github.com/alemart/opensurge/archive/v${MY_PV}.tar.gz 
-> ${PN}-${MY_PV}.tar.gz"
+       KEYWORDS="~amd64"
+       S="${WORKDIR}/${PN}-${MY_PV}/"
+fi
+
+DESCRIPTION="fun 2D retro platformer inspired by old-school Sonic games"
+HOMEPAGE="http://opensurge2d.org/";
+LICENSE="GPL-3"
+SLOT="0"
+
+# Allegro:5 libs to USE
+# - image: jpeg,png
+# - primitives: opengl
+# - font+ttf: truetype
+# - acodec+audio: alsa/openal/oss/pulseaudio (present in REQUIRED_USE)
+# - dialog: gtk
+DEPEND="
+       >=media-libs/allegro-5.2.5:=
+       media-libs/allegro[jpeg,png,opengl,truetype,gtk]
+       dev-games/surgescript:=
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       sed -i '/INSTALL(TARGETS "${GAME_UNIXNAME}" 
/s/"${CMAKE_INSTALL_PREFIX}/\0\/bin/' \
+               CMakeLists.txt || die "Failed fixing executable target"
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DGAME_DATADIR="/usr/share/games/${PN}"
+               -DCMAKE_INSTALL_PREFIX="/usr"
+       )
+
+       cmake-utils_src_configure
+}

diff --git a/games-arcade/opensurge/opensurge-9999.ebuild 
b/games-arcade/opensurge/opensurge-9999.ebuild
new file mode 100644
index 0000000..2758ffd
--- /dev/null
+++ b/games-arcade/opensurge/opensurge-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+MY_PV="${PV/_/-}"
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/alemart/opensurge";
+else
+       SRC_URI="https://github.com/alemart/opensurge/archive/v${MY_PV}.tar.gz 
-> ${PN}-${MY_PV}.tar.gz"
+       KEYWORDS="~amd64"
+       S="${WORKDIR}/${PN}-${MY_PV}/"
+fi
+
+DESCRIPTION="fun 2D retro platformer inspired by old-school Sonic games"
+HOMEPAGE="http://opensurge2d.org/";
+LICENSE="GPL-3"
+SLOT="0"
+
+# Allegro:5 libs to USE
+# - image: jpeg,png
+# - primitives: opengl
+# - font+ttf: truetype
+# - acodec+audio: alsa/openal/oss/pulseaudio (present in REQUIRED_USE)
+# - dialog: gtk
+DEPEND="
+       >=media-libs/allegro-5.2.5:=
+       media-libs/allegro[jpeg,png,opengl,truetype,gtk]
+       dev-games/surgescript:=
+"
+RDEPEND="${DEPEND}"

Reply via email to